On beta.wikiversity.org, the translated "main page" in the side navigation bar should link to the corresponding translated version main page (if available)
Closed, InvalidPublic

Description

Indeed, for example, if you put the Mediawiki interface into Esperanto, the link is labeled "Ĉefpaĝo" but links to "Main Page", while "Ĉefpaĝo" do exists. Both links should be available in the sidebar, but "Ĉefpaĝo" should link to the thus named page.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 17 2016, 2:38 PM
Nemo_bis added a subscriber: Nemo_bis.EditedNov 6 2016, 11:37 AM

I cannot reproduce with the interlanguage or main page links, so I suppose you mean the first link in the sidebar.

Per https://beta.wikiversity.org/wiki/MediaWiki:Sidebar , you only have to create https://beta.wikiversity.org/wiki/MediaWiki:Mainpage-url/eo with content "Ĉefpaĝo".

To make such handling automatic, you can ask to enable the Translate extension.

Aklapper renamed this task from On beta.wikiveresity.org, the translated "main page" in the side navigation bar should link to the corresponding translated version main page (if available) to On beta.wikiversity.org, the translated "main page" in the side navigation bar should link to the corresponding translated version main page (if available).Nov 6 2016, 7:00 PM
Aklapper removed a project: WorkType-Maintenance.

Per https://beta.wikiversity.org/wiki/MediaWiki:Sidebar , you only have to create https://beta.wikiversity.org/wiki/MediaWiki:Mainpage-url/eo with content "Ĉefpaĝo".

@Psychoslave: Does that solve your needs?

Aklapper closed this task as Invalid.Nov 17 2016, 7:29 PM

Unfortunately closing this report as no reply has been provided and as a solution already exists. @Psychoslave: Please reopen this report (by changing its status) after you have provided the information asked for and if Nemo_bis' proposal did not work. Thanks!

Psychoslave reopened this task as Open.Nov 18 2016, 10:10 AM

Hi, sorry the ticket flight out of my radar, I didn't see the previous replies. The proposed solutions by @Nemo_bis w would both be OK as far as I'm concerned. I don't have enough privileges to deploy any of it, though.

@Aklapper is there anything more I may do right now to make this topic go ahead?

Probably you need to contact an admin on that wiki. (But I don't know much more either.)

Aklapper closed this task as Invalid.Nov 25 2016, 12:08 PM

I don't think so. Thanks Nemo for bringing this up at the right place!

eo.wikiversity-org do not existe, so it will not appear in the sidebar. Only on the middle top of the main page

Get a look to the esperanto-switching-language with the betawikiversity main page

If you mean the link below "Welcome to Wikiversity beta", then it's not what this ticket is about, as it doesn't provide a direct mean to go to the current interface language corresponding root in the sidebar. You have to go to the main page, and then follow this link, which is not the best browsing experience.